var _edict = false;

try {
  _edict = org.mozdev.moji.dict.EDict;
} catch (e)
{
  try {
    _edict = EDict;
  } catch (e) { }
}

if ( _edict )
 _edict.prototype.mojijplaces = {
  _analyzeEntry : function(ent) {
    var ret = { terms: new Array(), meanings: new Array() };
    ret.meanings[0] = { terms: new Array(), translations: new Array() };
    
    var parts = ent.split("/");
    
    for ( var i = 0; i < parts.length; i++ ) {
      // skip empty entries (at the beginning and the end...)
      if ( parts[i] == "" )
        continue;
      
      var tags = parts[i].match(/\([^\)]*\)/g);
      
      for ( var j = 0; j < tags.length; j++ ) {
        var tag = tags[j].substr(1, tags[j].length-2);
        var full;
        var terms = Array();
        
        switch ( tag ) {
          case "loc": f = "location"; break;
          case "city": f = "city"; break;
          case "pref": f = "prefecture"; break;
          default: full = "unknown tag " + tag;
        }
          
        terms.push({abbrev: tag, full: f});
        ret.meanings[0].terms.push(terms);
      }

      // remove any tags at the beginng of this part including following spaces
      parts[i] = parts[i].replace(/^\([^\)]*\) +/, "");
      // and also remove any tags including spaces before it.
      parts[i] = parts[i].replace(/ +\([^\)]*\)/, "");
      
      if ( parts[i].length > 0 )
        ret.meanings[0].translations.push(parts[i]);
    }    

    return ret;
  }
}
